import java.io.File;
import java.io.FileInputStream;
import java.util.zip.CRC32;
import java.util.zip.CheckedInputStream;
import java.io.IOException;

class Demo {
	public static String fileName = "bharat.txt";
	public static long fileSize;

	public static void doCheckRead() throws IOException {
		try {
			CheckedInputStream cis = new CheckedInputStream(
					new FileInputStream(fileName), new CRC32());
			File file = new File(fileName);
			fileSize = file.length();
			System.out.print("Content of file before skiping : ");
			for (int i = 0; i < fileSize; i++) {
				System.out.print((char) cis.read());
			}
		} catch (IOException e) {
			System.out.println("IOException : " + e);
		}
	}

	public static void doCheckSkip() {
		try {
			CheckedInputStream cis = new CheckedInputStream(
					new FileInputStream(fileName), new CRC32());
			File file = new File(fileName);
			fileSize = file.length();
			System.out.print("Content of file after skiping : ");
			for (int i = 0; i < fileSize; i++) {
				if (i == 2) {
					long checkSkip = cis.skip(3);
					i = i + 3;
				}
				System.out.print((char) cis.read());
			}
		} catch (IOException e) {
			System.out.println("IOException : " + e);
		}
	}
}

public class CheckSkip {
	public static void main(String[] args) throws IOException {
		Demo.doCheckRead();
		Demo.doCheckSkip();
	}
}
